# Logiciels requis pour utiliser et travailler sur les documents pédagogiques
name: intro-science-donnees

channels:
- conda-forge

dependencies:
- python>=3.11
- make
- mamba
- git

##############################################################################
# JupyterLab
- jupyterlab>=4,<4.1           # for jupyterlab-deck and a bug in ipywidgets; should be fixed by next January
- jupyterlab-language-pack-fr-FR
- nbgitpuller
#- jupyter-collaboration

# Interactive widgets
- jupyterlab_widgets # >=3.0.5
- ipywidgets                   # for dashboards and ipywidget-games-*
- ipylab                       # for dashboards
- jupyter_app_launcher         # for launching the dashboards as applications
- ipydatagrid                  # for the instructor dashboard
- ipympl                       # for interactive matplotlib

# jupyterlab non critical extensions
#- jupyter-offlinenotebook    # UI to save/... the notebook even when the server connection is lost
- jupyter-resource-usage
- jupyterlab-git
- jupyterlab_code_formatter
- jupyter_console              # for image CI tests
- jupyter-archive
- jupyterlab-search-replace

##############################################################################
# Authoring and teaching tools
- jupytext
- jupyterlab-myst>=2.1.0
- jupyter-book
- mystmd
- nodejs
#- nbgrader>=0.9.4 # use dev version for now
- jupyterlab-deck

# For computations
- matplotlib-base
- pandas
- pyarrow
- seaborn
- ipydatagrid
- tabulate
- pillow
- mscorefonts
- scikit-learn
- tensorflow-cpu
# - opencv         # Was used to build the video in Semaine6/arcimboldo. Anything else?
- imagemagick      # Is this still used anywhere?

# For code validation
- python-lsp-server
- black
- flake8
- ruff
- mypy
- types-setuptools
- pytest
- tqdm

# Additional pip packages
- pip
- pip:
    - sphinx_proof
    - "git+https://gitlab.com/travo-cr/travo.git@student-dashboard-actions"
    - "git+https://gitlab.dsi.universite-paris-saclay.fr/L1InfoInitiationScienceDonnees/Assets.git"
    - "git+https://gitlab.dsi.universite-paris-saclay.fr/jupyter/jupylates"
    #- "git+https://github.com/brichet/nbgrader.git@local_formgrader"
    - nbgrader>=0.9.4
